NEPTUNE(4)

NAME
neptune - Neptune-X ISA bridge driver

SYNOPSIS
neptune0 at intio0 addr 0xece000 irq 239
ne0 at neptune? addr 0x300

DESCRIPTION
The Neptune-X is a Ethernet interface card initially designed by Hirofumi Shimada, which uses popular NE2000 or its clone with its own x68k-proprietary bus to ISA bus bridge.

The NetBSD neptune driver takes charge of the ISA bridge part of the Neptune-X. It is implemented as a more generic `bus' with its own bus_space(9) interface, and is intended to be used with ne(4) driver.

SEE ALSO
isa(4), ne(4), x68k/intro(4), bus_space(9)

HISTORY
The neptune device appeared in NetBSD 1.4.

BUGS
neptune itself is always detected when it is specified in the kernel config file. This is because the Neptune-X ISA bridge is transparent to software. The attached device is detected appropriately.